Last Comment Bug 1333516 - geolocation not working in Firefox 51 release
: geolocation not working in Firefox 51 release
Status: VERIFIED FIXED
: regression
Product: Core
Classification: Components
Component: Geolocation (show other bugs)
: 51 Branch
: x86_64 Windows 10
-- major (vote)
: mozilla54
Assigned To: Mike Hommey [:glandium]
:
: Kan-Ru Chen [:kanru] (UTC+8)
Mentors:
: 1293643 (view as bug list)
Depends on:
Blocks: 1294585
  Show dependency treegraph
 
Reported: 2017-01-24 11:19 PST by Asa Dotzler [:asa]
Modified: 2017-02-10 01:53 PST (History)
33 users (show)
cornel.ionce: qe‑verify+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
blocking
verified
+
verified
verified
verified

MozReview Requests
Submitter Diff Changes Open Issues Last Updated
Loading...
Error loading review requests:
Show discarded requests

Attachments
Bug 1333516 - Fix windows path for API keys after bug 1294585. (59 bytes, text/x-review-board-request)
2017-01-24 14:05 PST, Mike Hommey [:glandium]
gps: review+
rkothari: approval‑mozilla‑aurora+
rkothari: approval‑mozilla‑beta+
rkothari: approval‑mozilla‑release+
Details | Review

Description User image Asa Dotzler [:asa] 2017-01-24 11:19:14 PST
Geolocation doesn't work at Google Maps or any other site I've tested on Windows Firefox 51 release build.

Steps:

1. visit https://www.google.com/maps
2. click the location button on the map
3. say yes to the confirmation dialog

Results

Several seconds pass and then "Your location could not be determined."

Also tested at https://www.mozilla.org/en-US/firefox/geolocation/ and at http://www.w3schools.com/HTML/tryit.asp?filename=tryhtml5_geolocation_error and both fail as well.

Tested on Mac and everything seems to work.
Comment 1 User image Sebastian Hengst [:aryx][:archaeopteryx] (needinfo on intermittent or backout) 2017-01-24 11:31:47 PST
API keys are missing in Windows builds (tested 32 bit build). From nsURLFormatter.js in the build:
>    MOZILLA_API_KEY:  () => "no-mozilla-api-key",
>    GOOGLE_API_KEY:   () => "no-google-api-key",
>    BING_API_CLIENTID:() => "no-bing-api-clientid",
>    BING_API_KEY:     () => "no-bing-api-key",
Comment 2 User image Chris Peterson [:cpeterson] 2017-01-24 11:35:35 PST
This appears to be a regression in 51. I can repro the problem in 51, but not in 50.1. I can't reproduce in Aurora 52 or Nightly 54, but those pre-release channels use Mozilla's location service instead of Microsoft's.
Comment 3 User image Sebastian Hengst [:aryx][:archaeopteryx] (needinfo on intermittent or backout) 2017-01-24 11:48:22 PST
Last good: 50.0b11
First bad: 51.0b1

jlund, are you aware of changes in releng which could cause this?
Comment 4 User image Liz Henry (:lizzard) (needinfo? me) 2017-01-24 11:52:47 PST
Is this also affecting Firefox for Android?
Comment 5 User image Andrew Overholt [:overholt] 2017-01-24 12:12:54 PST
Kan-Ru/Josh/Garvan, can any of you investigate? I can reproduce on my laptop if you'd like to try locally, Josh (or Garvan - I'll buy you a beer ;).
Comment 6 User image Jordan Lund (:jlund) 2017-01-24 12:15:01 PST
(In reply to Sebastian Hengst [:aryx][:archaeopteryx] (needinfo on intermittent or backout) from comment #3)
> Last good: 50.0b11
> First bad: 51.0b1
> 
> jlund, are you aware of changes in releng which could cause this?

I'm not aware of anything releng related that would affect this. Not ruling it out, just saying it is unlikely. Releng focuses on the engineering of 'how to ship code', rather than the management of 'what code is shipped'.

release-mgmt + devs would have a better idea of what exactly landed on 51.0b1; likely something that got migrated from mozilla-aurora->mozilla-beta. I would bet this affected aurora/developer-edition when 51 got migrated from central/nightly.
Comment 7 User image Liz Henry (:lizzard) (needinfo? me) 2017-01-24 12:16:37 PST
jcristau suggests https://bugzilla.mozilla.org/show_bug.cgi?id=1294585 as potential cause.
Comment 8 User image Barbara Bermes [:barbara] - NI please! 2017-01-24 12:19:27 PST
Don't have 51 release yet, but tried 51 Beta and noticed the same issue that Asa described for Google maps. However, once I moved onto the firefox geolocation test page, it worked right away, went back to Google maps and it ended up finding my location there as well.
Comment 9 User image Barbara Bermes [:barbara] - NI please! 2017-01-24 12:19:54 PST
^ this was meant for Android, sorry.
Comment 10 User image Rail Aliiev [:rail] ⌚️ET 2017-01-24 12:20:25 PST
Looks like it's windows specific. Tried on linux64 and win7 (64bit), the latter didn't work.

Mark, do you happen to know if we changed anything related to https://dxr.mozilla.org/build-central/source/relabs-puppet/modules/slave_secrets/manifests/mozilla_geoloc_api_keys.pp for windows recently?

The release log https://archive.mozilla.org/pub/firefox/tinderbox-builds/mozilla-release-win64/1484771846/mozilla-release-win64-bm73-build1-build38.txt.gz passes the path as:

12:50:40     INFO -    --with-mozilla-api-keyfile=/c/builds/mozilla-desktop-geoloc-api.key
Comment 11 User image Rail Aliiev [:rail] ⌚️ET 2017-01-24 12:23:40 PST
jcristau just mentioned bug 1294585 in IRC, can be related
Comment 12 User image Mark Cornmesser [:markco] 2017-01-24 12:26:15 PST
(In reply to Rail Aliiev [:rail] ⌚️ET from comment #10)
> Looks like it's windows specific. Tried on linux64 and win7 (64bit), the
> latter didn't work.
> 
> Mark, do you happen to know if we changed anything related to
> https://dxr.mozilla.org/build-central/source/relabs-puppet/modules/
> slave_secrets/manifests/mozilla_geoloc_api_keys.pp for windows recently?
> 
> The release log
> https://archive.mozilla.org/pub/firefox/tinderbox-builds/mozilla-release-
> win64/1484771846/mozilla-release-win64-bm73-build1-build38.txt.gz passes the
> path as:
> 
> 12:50:40     INFO -   
> --with-mozilla-api-keyfile=/c/builds/mozilla-desktop-geoloc-api.key

I am not seeing any changes made to it. I just verified that they were on the 2008 instances and have what appears to be usable permissions.
Comment 13 User image Panos Astithas [:past] 2017-01-24 12:28:05 PST
Adding Mike per comment 7.
Comment 14 User image garvankeeley+github 2017-01-24 12:28:52 PST
> Kan-Ru/Josh/Garvan, can any of you investigate? I can reproduce on my laptop
> if you'd like to try locally, Josh (or Garvan - I'll buy you a beer ;).

If it helps, I can take a look in a few hours. I just got a Windows 10 gaming box, I *suppose* I can use it for other things. (In reply to Andrew Overholt [:overholt] from comment #5).
Comment 15 User image Andrew Overholt [:overholt] 2017-01-24 12:39:06 PST
Thanks, Garvan. It looks like it's something that gets substituted at build time on the build machines so not likely something you can help with. That beer is still on offer :)
Comment 16 User image Sylvestre Ledru [:sylvestre] 2017-01-24 12:41:23 PST
I don't think this is related but I am the "owner" of the GLS account (especially since Doug left us) :)
Comment 17 User image :Felipe Gomes (needinfo me!) 2017-01-24 12:45:03 PST
(fwiw, it's likely that safebrowsing is also broken due to the missing keys)
Comment 18 User image Rail Aliiev [:rail] ⌚️ET 2017-01-24 12:48:04 PST
From https://archive.mozilla.org/pub/firefox/tinderbox-builds/mozilla-release-win64/1484771846/mozilla-release-win64-bm73-build1-build38.txt.gz:

12:50:41     INFO -  checking for zip... c:/mozilla-build/info-zip/zip.EXE
12:50:41     INFO -  checking for the Mozilla API key... no
12:50:41     INFO -  checking for the Google API key... no
12:50:41     INFO -  checking for the Bing API key... no
12:50:41     INFO -  checking for the Adjust SDK key... no

from https://archive.mozilla.org/pub/firefox/tinderbox-builds/mozilla-release-linux/1484771846/mozilla-release-linux-bm77-build1-build45.txt.gz:

12:52:32     INFO -  checking for zip... /usr/bin/zip
12:52:32     INFO -  checking for the Mozilla API key... yes
12:52:32     INFO -  checking for the Google API key... yes
12:52:32     INFO -  checking for the Bing API key... no
12:52:32     INFO -  checking for the Adjust SDK key... no

These are coming from https://dxr.mozilla.org/mozilla-central/source/toolkit/moz.configure#551-563 

Summoning gps, :) he may have some insights on how those calls are converted into filenames.
Comment 20 User image Ritu Kothari (:ritu) 2017-01-24 13:20:54 PST
This is a release blocker.
Comment 21 User image Sylvestre Ledru [:sylvestre] 2017-01-24 13:28:12 PST
(In reply to Rail Aliiev [:rail] ⌚️ET from comment #18)
> 12:50:41     INFO -  checking for the Mozilla API key... no
> 12:50:41     INFO -  checking for the Google API key... no

Can we update the configure to fail the build when the beta or release branding are being used but cannot find api keys?
Comment 22 User image Mike Hommey [:glandium] 2017-01-24 13:46:17 PST
(In reply to Sylvestre Ledru [:sylvestre] from comment #21)
> (In reply to Rail Aliiev [:rail] ⌚️ET from comment #18)
> > 12:50:41     INFO -  checking for the Mozilla API key... no
> > 12:50:41     INFO -  checking for the Google API key... no
> 
> Can we update the configure to fail the build when the beta or release
> branding are being used but cannot find api keys?

That's bug 1256730 and is waiting for bug 1293643 to be fixed... but now I realize maybe the actual problem is what's causing *this* bug, being that the path is an msys path and configure expects a windows path.
Comment 23 User image Gregory Szorc [:gps] (away until 2017-03-20) 2017-01-24 13:50:58 PST
glandium provided an answer. I'll be around for the next few hours to review any changes. Just ping me on IRC to get my attention.
Comment 24 User image Rail Aliiev [:rail] ⌚️ET 2017-01-24 13:55:15 PST
Thanks!
Comment 25 User image Mike Hommey [:glandium] 2017-01-24 14:05:32 PST Comment hidden (mozreview-request)
Comment 26 User image Gregory Szorc [:gps] (away until 2017-03-20) 2017-01-24 14:07:29 PST
Comment on attachment 8830052 [details]
Bug 1333516 - Fix windows path for API keys after bug 1294585.

https://reviewboard.mozilla.org/r/106976/#review108028
Comment 27 User image Pulsebot 2017-01-24 14:10:15 PST
Pushed by mh@glandium.org:
https://hg.mozilla.org/integration/autoland/rev/56147a136a8c
Fix windows path for API keys after bug 1294585. r=gps
Comment 28 User image Mike Hommey [:glandium] 2017-01-24 14:11:48 PST
I have a try build with this patch + bug 1256730 running, and I also want to see what happens on that autoland push before pushing to other branches.
Comment 29 User image Mike Hommey [:glandium] 2017-01-24 14:28:45 PST
The TC builds are good. Waiting for buildbot builds. As for bug 1256730, it looks like only cross-osx builds are a problem at the moment.
Comment 30 User image Ritu Kothari (:ritu) 2017-01-24 15:08:46 PST
Hi GPS, please nominate patches for uplift to Aurora53, Beta52 and Release51 when ready. Thanks! We are hoping to gtb 51.0.1 in the next couple of hours, mainly driven by this issue.
Comment 31 User image Gregory Szorc [:gps] (away until 2017-03-20) 2017-01-24 15:13:59 PST
Redirecting needinfo to glandium since the changes are his and he is actively testing things.
Comment 32 User image Mike Hommey [:glandium] 2017-01-24 15:31:06 PST
Comment on attachment 8830052 [details]
Bug 1333516 - Fix windows path for API keys after bug 1294585.

We're good to go, the buildbot builds are good.

Approval Request Comment
[Feature/Bug causing the regression]: regression from bug 1294585
[User impact if declined]: Geolocation doesn't work
[Is this code covered by automated tests?]: no
[Has the fix been verified in Nightly?]: verified on autoland
[Needs manual test from QE? If yes, steps to reproduce]: see comment 0
[List of other uplifts needed for the feature/fix]: we may want to push bug 1256730 along when it's ready to land (which is not the case currently)
[Is the change risky?]: no
[Why is the change risky/not risky?]: The patch is changing a non-working path to a working path in a mozconfig.
[String changes made/needed]: none
Comment 33 User image Mike Hommey [:glandium] 2017-01-24 15:32:44 PST
*** Bug 1293643 has been marked as a duplicate of this bug. ***
Comment 34 User image Wes Kocher (:KWierso) 2017-01-24 16:29:45 PST
Liz wanted this pushed to release ASAP, so I went ahead and landed it on m-r before the official a+:
https://hg.mozilla.org/releases/mozilla-release/rev/cac8c9e7e0efdb615504f66ede2cffeddca348ee
I'll wait for official approval before landing on the other branches
Comment 35 User image Ritu Kothari (:ritu) 2017-01-24 16:35:03 PST
Comment on attachment 8830052 [details]
Bug 1333516 - Fix windows path for API keys after bug 1294585.

We need this landed on 51+
Comment 36 User image Phil Ringnalda (:philor) 2017-01-24 18:47:28 PST
https://hg.mozilla.org/mozilla-central/rev/56147a136a8c
Comment 37 User image Ryan VanderMeulen [:RyanVM] 2017-01-24 19:35:56 PST
https://hg.mozilla.org/releases/mozilla-beta/rev/9cb32c41b8cb
Comment 38 User image Ryan VanderMeulen [:RyanVM] 2017-01-25 06:25:36 PST
https://hg.mozilla.org/releases/mozilla-aurora/rev/7d4459bdab3d
Comment 39 User image Rail Aliiev [:rail] ⌚️ET 2017-01-25 06:51:29 PST
https://archive.mozilla.org/pub/firefox/tinderbox-builds/mozilla-release-win64/1485304068/mozilla-release-win64-bm94-build1-build32.txt.gz looks much better:

16:53:14     INFO -  checking for zip... c:/mozilla-build/info-zip/zip.EXE
16:53:14     INFO -  checking for the Mozilla API key... yes
16:53:14     INFO -  checking for the Google API key... yes
16:53:14     INFO -  checking for the Bing API key... no
16:53:14     INFO -  checking for the Adjust SDK key... no
Comment 40 User image Iulia Cristescu, QA [:IuliaC] 2017-01-25 07:17:03 PST
The issue is verified fixed on 51.0.1-build2 (20170124203848) using Windows 10 x64, Windows 7 x64, Mac OS X 10.11 and Ubuntu 16.04 x64.
Comment 41 User image Sylvestre Ledru [:sylvestre] 2017-01-25 07:28:38 PST
I reported bug 1333783 to make sure that we have automation to avoid this situation in the future.
Comment 42 User image Sylvestre Ledru [:sylvestre] 2017-01-26 02:01:59 PST
Discussing with Andrei, he confirmed that we tested safe browsing in beta7:
https://wiki.mozilla.org/Releases/Firefox_51/Test_Plan#Beta_7
https://drive.google.com/file/d/0B6_25UfoAoJhUHgtMkVHaVlMQVU/view
and it was working.
Comment 43 User image Sebastian Hengst [:aryx][:archaeopteryx] (needinfo on intermittent or backout) 2017-01-26 02:18:23 PST
The phishing test pages work because toolkit adds them to its database: https://dxr.mozilla.org/mozilla-central/rev/c989c7b352279925edf138373e4ca3f1540dbd5f/toolkit/components/url-classifier/SafeBrowsing.jsm#330
Comment 44 User image roxana.leitan@softvision.ro 2017-02-10 01:53:33 PST
Tested on :
Nightly 54.0a1 (2017-02-09)
Aurora 53.0a2  (2017-02-09)
Beta 52.0b4    (20170206101855)

Verified fixed on Windows 10 , Ubuntu 16.04 and Mac OS X 10.11 , using the links from comment 0: https://www.google.com/maps
https://www.mozilla.org/en-US/firefox/geolocation/ 
http://www.w3schools.com/HTML/tryit.asp?filename=tryhtml5_geolocation_error.

Note You need to log in before you can comment on or make changes to this bug.